### Enumeration

# Aravis RangeCheckPolicy

since: 0.8.6

#### Declaration

    enum Aravis.RangeCheckPolicy

#### Description

No description available.

Available since: 0.8.6

#### Members

`ARV_RANGE_CHECK_POLICY_DISABLE`

  Never check if float or integer node value is in min/max range.

  - Value: `0`
  - Available since: 0.8.6
`ARV_RANGE_CHECK_POLICY_ENABLE`

  Always check if if float or integer node is in min/max range.

  - Value: `1`
  - Available since: 0.8.6
`ARV_RANGE_CHECK_POLICY_DEBUG`

  Check the value, but only display an error message if the value is not allowed (Since 0.8.8).

  - Value: `2`
  - Available since: 0.8.6
`ARV_RANGE_CHECK_POLICY_DEFAULT`

  Default range check policy.

  - Value: `0`
  - Available since: 0.8.6